[packaging] Changes to 'refs/tags/debian/0.1.10-1'

vanmeeuwen at kolabsys.com vanmeeuwen at kolabsys.com
Mon Feb 14 20:12:12 CET 2011


Changes since the dawn of time:
Jeroen van Meeuwen (Kolab Systems) (9):
      Initial upstream branch
      Merge branch 'upstream'
      Imported Upstream version 0.1.10
      Merge commit 'upstream/0.1.10'
      Check in new version
      Drop patches which should be resolved anyhow
      Add myself as a maintainer
      Add interpreter patch
      Do not check the md5sum for files that have been patched

mparent-guest (45):
      Kolab_Freebusy and Kolab_Filter
      Added SVN properties
      depends on php5-cli for kolabfilter and kolabmailboxfilter
      build-depend on pear-horde-channel
      New upstream version 0.1.3
      updated timestamp
      Initial Release (Closes: #508955)
      conflicts/replaces php-kolab
      added ${misc:Depends} (lintian 2.0)
      corrected package-contains-empty-directory
      conflicts/replaces php-kolab and kolab-filter
      create manpage for undocumented binaries
      * 10-remove-md5.diff: Remove md5sums to allow patching
      depends on php-net-lmtp
      Longer description
      use package upstream homepage (instead of kolab.org)
      don't create manpage for undocumented binaries
      kolabfilter and kolabmailboxfilter
      Correct patch
      reported upsteam
      install manpages using pod2man
      debian/copyright: refers to versionned license version
      Mention bug #
      debian/pearrc: avoid FTBS when /tmp/pear files are owned by root
      New version of 30-horde-path, should be compatible with upgraded horde3 package with #510760 fixed
      suggets phpunit (>=3.3) for unit tests
      Correct LoadTest.php installation path
      Better cleaning
      - New release 0.1.5
      Don't use preversion
      updated Standards-Version to 3.8.1: no changes
      php-kolab-filter.dirs: create /var/lib/kolab/filter/locks
      Replace dependency on php-kolab-storage and php-kolab-server by horde 3.3 as they are included there
      depends on php-auth, php-net-imap
      Manage snapshots with dput and mini-dinstall on alioth
      Mark snapshots release as such with "~pre1"
      php-kolab-*: section: web -> php
      updated Standards-Version to 3.8.2: no changes
      * don't remove pear registry cache (Closes: #537006)
      Release
      updated Standards-Version to 3.8.3: no changes
      don't remove usr/share/php/.registry/.channel.doc.php.net
      Add README.source as required by policy 4.14
      Change my email adress, as I am now Debian developer
      spelling-error-in-changelog adress address

sathieu (22):
      Depends on php5-imap due to the use of imap_rfc822_parse_adrlist
      30-horde-path.diff: Updated. Avoid another Horde include error in
      30-horde-path.diff: Updated. Avoid other Horde include errors in
      New 40-phpunit.diff: Avoid include errors when running testsuite
      Increment revision
      Updated 40-phpunit.diff description
      debian/rules: remove usr/share/php/.registry/.channel.doc.php.net only if
      Releases
      New upstream
      Updating patches
      * New upstream version 0.1.6
      Release
      iPackage snapshots
      Updated Standards-Version to 3.8.4: no changes
      New upstream version 0.1.8
      New upstream
      Updated Standards-Version to 3.9.0: use Breaks instead of Conflicts
      Use DEB_COMPRESS_EXCLUDE_ALL instead of deprecated DEB_COMPRESS_EXCLUDE
      Fix "shared folder mail stopped working with php5.3.2 ..." by correcting        the E_DEPRECATED errors and ignoring the not-yet-known remaining ones
      Revert errorneous change to debian/rules ->0.1.9-3
      More removal of E_DEPRECATED errors. All &new Class() are removed now.
      Updated Standards-Version to 3.9.1: no changes



More information about the packaging-commits mailing list